%define name	qarecord
%define version	0.0.9
%define release 1mdk

Name: 	 	%{name}
Summary: 	QT based ALSA recording interface
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://www.suse.de/~mana/kalsatools.html
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libqt3-devel libalsa-devel libjack-devel

%description
QARecord is a simple multithreaded stereo recording tool. It can record both
16 bit and 32 bit WAVs. By using a large ringbuffer for the captured data,
buffer overruns are avoided. QARecord can also be used as JACK client. 

%prep
%setup -q
perl -p -i -e "s|-O2|$RPM_OPT_FLAGS||g" make_qarecord

%build
%make -f make_qarecord
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir
cp %name $RPM_BUILD_ROOT/%_bindir

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="sound_section.png" needs="x11" title="QARecord" longtitle="ALSA recording GUI" section="Multimedia/Sound"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc LICENSE
%{_bindir}/%name
%{_menudir}/%name

%changelog
* Thu Aug 7 2003 Austin Acton <aacton@yorku.ca> 0.0.9-1mdk
- initial package
